Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::NoLockFactory Class Reference

Use this `LockFactory` to disable locking entirely. Only one instance of this lock is created. You should call `getNoLockFactory()` to get the instance. More...

`#include <NoLockFactory.h>`

Inheritance diagram for Lucene::NoLockFactory:

## Public Member Functions

virtual | ~NoLockFactory ()
virtual String | getClassName ()
boost::shared_ptr< NoLockFactory > | shared_from_this ()
virtual LockPtr | makeLock (const String &lockName)
| Return a new Lock instance identified by lockName.
virtual void | clearLock (const String &lockName)
| Attempt to clear (forcefully unlock and remove) the specified lock. Only call this at a time when you are certain this lock is no longer in use.
Public Member Functions inherited from Lucene::LockFactory
virtual | ~LockFactory ()
boost::shared_ptr< LockFactory > | shared_from_this ()
virtual void | setLockPrefix (const String &lockPrefix)
| Set the prefix in use for all locks created in this LockFactory. This is normally called once, when a Directory gets this LockFactory instance. However, you can also call this (after this instance is assigned to a Directory) to override the prefix in use. This is helpful if you're running Lucene on machines that have different mount points for the same shared directory.
virtual String | getLockPrefix ()
| Get the prefix in use for all locks created in this LockFactory.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static NoLockFactoryPtr | getNoLockFactory ()
Static Public Member Functions inherited from Lucene::LockFactory
static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LockFactory
String | lockPrefix
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Use this `LockFactory` to disable locking entirely. Only one instance of this lock is created. You should call `getNoLockFactory()` to get the instance.

See also
  LockFactory

## Constructor & Destructor Documentation

## ◆ ~NoLockFactory()

virtual Lucene::NoLockFactory::~NoLockFactory | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::NoLockFactory::_getClassName | ( |  | ) |

inline static

## ◆ clearLock()

virtual void Lucene::NoLockFactory::clearLock | ( | const String & | lockName | ) |

virtual

Attempt to clear (forcefully unlock and remove) the specified lock. Only call this at a time when you are certain this lock is no longer in use.

Implements Lucene::LockFactory.

## ◆ getClassName()

virtual String Lucene::NoLockFactory::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::LockFactory.

## ◆ getNoLockFactory()

NoLockFactoryPtr Lucene::NoLockFactory::getNoLockFactory | ( |  | ) |

static

## ◆ makeLock()

virtual LockPtr Lucene::NoLockFactory::makeLock | ( | const String & | lockName | ) |

virtual

Return a new Lock instance identified by lockName.

Implements Lucene::LockFactory.

## ◆ shared_from_this()

boost::shared_ptr< NoLockFactory > Lucene::NoLockFactory::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- NoLockFactory.h

clucene.sourceforge.net